For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/biller/cascade‑steps

get

Get cascade steps

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
cascadeidintegerOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/biller/cascade-steps
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'cascadeid' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'biller/cascade-steps',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "steps": [
    {
      "cascade_item_id": "1",
      "cascadeid": "1",
      "billerid": "1",
      "networkid": "0",
      "type": "cc",
      "orderid": "1",
      "target": "",
      "nontarget": "",
      "special": "",
      "deleted": "0",
      "biller": "NETBILLING",
      "target_nice": "",
      "target_list": [
        ""
      ],
      "nontarget_nice": "",
      "nontarget_list": [
        ""
      ],
      "supported_types": [
        "cc",
        "check"
      ],
      "supported_types_nice": {
        "cc": "Credit Cards",
        "check": "Check (ACH)"
      },
      "step_type": "biller",
      "step_type_nice": "Biller",
      "type_nice": "Credit Cards"
    },
    {
      "cascade_item_id": "2",
      "cascadeid": "1",
      "billerid": "2",
      "networkid": "0",
      "type": "cc",
      "orderid": "2",
      "target": "USA",
      "nontarget": "AX",
      "special": "",
      "deleted": "0",
      "biller": "CCBILL",
      "target_nice": "USA",
      "target_list": [
        "USA"
      ],
      "nontarget_nice": "AX",
      "nontarget_list": [
        "AX"
      ],
      "supported_types": [
        "cc",
        "check",
        "900",
        "dp",
        "elv"
      ],
      "supported_types_nice": {
        "900": "Web 900",
        "cc": "Credit Cards",
        "check": "Check (ACH)",
        "dp": "Direct Pay",
        "elv": "ELV/EU Debit"
      },
      "step_type": "biller",
      "step_type_nice": "Biller",
      "type_nice": "Credit Cards"
    }
  ]
}

Last updated

Was this helpful?